package com.huimv.admin.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.admin.system.entity.ScreenSysMenu;
import com.huimv.common.utils.Result;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author astupidcoder
 * @since 2022-03-25
 */
public interface IScreenSysMenuService extends IService<ScreenSysMenu> {
    Result addMenu(ScreenSysMenu menu, Integer userId);
    //修改菜单
    Result editMenu(ScreenSysMenu menu);
    //删除菜单(批量)
    Result removeMenu(Integer menuId);
   /* //查询所有
    List<Map> listMenu();
    //菜单递归
    List listMenuUtil(List<Menu> list);*/

    //优化查询所有
    Result optimizeList();
    //优化菜单递归
    List<Map> optimizeListUtil(int parentId, List<ScreenSysMenu> menuEntityList);

    Result list1();
}
